OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
LeafData< ValueIndexMask, CoordT, MaskT, LOG2DIM > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for LeafData< ValueIndexMask, CoordT, MaskT, LOG2DIM >:

## Public Types
using | BuildType = ValueIndexMask
using | BaseT = LeafIndexBase< CoordT, MaskT, LOG2DIM >
using | ValueType = uint64_t
using | FloatType = uint64_t
using | ArrayType = void

## Public Member Functions
bool | isMaskOn (uint32_t offset) const
void | setMask (uint32_t offset, bool v)
uint64_t | lastOffset () const
uint64_t | getMin () const
uint64_t | getMax () const
uint64_t | getAvg () const
uint64_t | getDev () const
uint64_t | getValue (uint32_t i) const
bool | hasStats () const
const uint64_t & | firstOffset () const
void | setMin (const ValueType &)
void | setMax (const ValueType &)
void | setAvg (const FloatType &)
void | setDev (const FloatType &)
void | setOn (uint32_t offset)
template<typename T >
void | setOrigin (const T &ijk)

## Static Public Member Functions
static uint64_t | memUsage ()
static uint32_t | valueCount ()
static constexpr uint32_t | padding ()

## Public Attributes
MaskT< LOG2DIM > | mMask
CoordT | mBBoxMin
uint8_t | mBBoxDif [3]
uint8_t | mFlags
MaskT< LOG2DIM > | mValueMask
uint64_t | mOffset
uint64_t | mPrefixSum

## Static Public Attributes
static constexpr bool | FIXED_SIZE = true

## Member Typedef Documentation

## ◆ ArrayType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ArrayType = void
| inherited

## ◆ BaseT

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using BaseT = LeafIndexBase<CoordT, MaskT, LOG2DIM>
| inherited

## ◆ BuildType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using BuildType = ValueIndexMask

## ◆ FloatType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using FloatType = uint64_t
| inherited

## ◆ ValueType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ValueType = uint64_t
| inherited

## Member Function Documentation

## ◆ firstOffset()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

const uint64_t & firstOffset | ( |  | ) | const
| inline inherited

## ◆ getAvg()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getAvg | ( |  | ) | const
| inline inherited

## ◆ getDev()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getDev | ( |  | ) | const
| inline inherited

## ◆ getMax()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getMax | ( |  | ) | const
| inline inherited

## ◆ getMin()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getMin | ( |  | ) | const
| inline inherited

## ◆ getValue()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getValue | ( | uint32_t | i | ) | const
| inline inherited

## ◆ hasStats()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

bool hasStats | ( |  | ) | const
| inline inherited

## ◆ isMaskOn()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

bool isMaskOn | ( | uint32_t | offset | ) | const
| inline

## ◆ lastOffset()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t lastOffset | ( |  | ) | const
| inline inherited

## ◆ memUsage()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

static uint64_t memUsage | ( |  | ) |
| inline static

## ◆ padding()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

static constexpr uint32_t padding | ( |  | ) |
| inline static constexpr inherited

## ◆ setAvg()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setAvg | ( | const FloatType & |  | ) |
| inline inherited

## ◆ setDev()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setDev | ( | const FloatType & |  | ) |
| inline inherited

## ◆ setMask()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setMask | ( | uint32_t | offset,
|  | bool | v
| ) |  |
| inline

## ◆ setMax()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setMax | ( | const ValueType & |  | ) |
| inline inherited

## ◆ setMin()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setMin | ( | const ValueType & |  | ) |
| inline inherited

## ◆ setOn()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setOn | ( | uint32_t | offset | ) |
| inline inherited

## ◆ setOrigin()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>
template<typename T >

void setOrigin | ( | const T & | ijk | ) |
| inline inherited

## ◆ valueCount()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

static uint32_t valueCount | ( |  | ) |
| inline static inherited

## Member Data Documentation

## ◆ FIXED_SIZE

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

constexpr bool FIXED_SIZE = true
| static constexpr inherited

## ◆ mBBoxDif

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mBBoxDif[3]
| inherited

## ◆ mBBoxMin

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

CoordT mBBoxMin
| inherited

## ◆ mFlags

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mFlags
| inherited

## ◆ mMask

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

MaskT<LOG2DIM> mMask

## ◆ mOffset

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t mOffset
| inherited

## ◆ mPrefixSum

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t mPrefixSum
| inherited

## ◆ mValueMask

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

MaskT<LOG2DIM> mValueMask
| inherited